
Redmine - Defect #6662

JavaScript is not minified for production use

2010-10-13 17:18 - Anonymous

Status: New Start date: 2010-10-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Unplanned backlogs   

Resolution:  Affected version:  

Description

The current JavaScript that Redmine uses in production environment is not minified using a tool such as Google Closure or YUI

Compressor. This will dramatically reduce the size of the page a client has to download if it was used.

History

#1 - 2010-10-13 17:44 - Eric Davis

- Target version set to Unplanned backlogs

This would be nice to add but we would need to make sure to track unminified versions in svn/git.

#2 - 2010-10-14 17:43 - Anonymous

Sure, what I do is have a *.src.js and *.js of my files. When running in a development mode the application simply uses the *.src.js version instead.
